#!/bin/bash
cd $JENKINS_HOME/jobs/$JOB_BASE_NAME/builds/${BUILD_NUMBER}
grep "build fail~" log
grep "generated time exceed the limit" log
grep "not startup in" log
if [ $? = 0 ];then
	exit -1
fi
echo "post_build_script_by_type finish~"
